package com.brilliance.isc.common.vo;

import lombok.Data;

import java.util.Collections;
import java.util.List;

/**
 * @author caozx
 * @desc 分页对象
 * @date 2023/3/30 15:34
 */
@Data
public class PageVo<T> {
    /**
     * 查询数据列表
     */
    protected List<T> records = Collections.emptyList();

    /**
     * 记录总数
     */
    protected int total = 0;
    /**
     * 总页数
     */
    protected int totalPage;
    /**
     * 每页显示条数，默认 10
     */
    protected int pageSize = 10;

    /**
     * 当前页
     */
    protected int pageNo = 1;

    public int getTotalPage() {
        if (getPageSize() == 0) {
            return 0;
        }
        int pages = getTotal() / getPageSize();
        if (getTotal() % getPageSize() != 0) {
            pages++;
        }
        return pages;
    }
}
